Get
curl --request GET \
--url https://api.nebius.cloud/iam/v1/profiles \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nebius.cloud/iam/v1/profiles"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nebius.cloud/iam/v1/profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"anonymousProfile": {},
"serviceAccountProfile": {
"info": {
"metadata": {
"parentId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"id": "<string>",
"labels": {},
"name": "<string>",
"resourceVersion": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
},
"spec": {
"description": "<string>"
},
"status": {
"active": true
}
}
},
"userProfile": {
"attributes": {
"email": "<string>",
"emailVerified": true,
"familyName": "<string>",
"givenName": "<string>",
"locale": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"phoneNumberVerified": true,
"picture": "<string>",
"preferredUsername": "<string>",
"sub": "<string>",
"zoneinfo": "<string>"
},
"federationInfo": {
"federationId": "<string>",
"federationUserAccountId": "<string>"
},
"id": "<string>",
"retrievingError": {
"message": "<string>"
},
"tenants": [
{
"tenantId": "<string>",
"tenantUserAccountId": "<string>",
"tenantUserAccountState": "STATE_UNSPECIFIED"
}
],
"userAccountState": "STATE_UNSPECIFIED"
}
}profiles
Get
Returns the current user’s profile.
GET
/
iam
/
v1
/
profiles
Get
Was this page helpful?
⌘I